Package org.apache.jasper.compiler

## Class TextOptimizer

- java.lang.Object
- - org.apache.jasper.compiler.TextOptimizer

-     public class TextOptimizer
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TextOptimizer()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `concatenate​(Compiler compiler, org.apache.jasper.compiler.Node.Nodes page)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TextOptimizer

          public TextOptimizer()

  - ### Method Detail

    - #### concatenate

          public static void concatenate​(Compiler compiler,
                                         org.apache.jasper.compiler.Node.Nodes page)
                                  throws JasperException

      Throws:
        `JasperException`